#
# spec file for package tree-sitter-vim
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name vim
Name:           tree-sitter-vim
Version:        0.6.0
Release:        1.1
Summary:        Vimscript grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter-grammars/tree-sitter-vim
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%doc README.md
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%changelog
* Thu May  8 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 0.6.0:
  * Add file-types to tree-sitter.json
  * feat: add support for :substitute command
  * feat(grammar): support = lua chunks
* Wed Mar 26 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 0.5.0:
  * fix(grammar): remove unnecessary choice wrapper
* Wed Dec 11 2024 Richard Rahl <rrahl0@opensuse.org>
- disable devel package (for now)
* Thu Dec  5 2024 Richard Rahl <rrahl0@opensuse.org>
- adapt spec file to other grammars
- switch to download_files service
- enable devel package
* Sun Sep 15 2024 Richard Rahl <rrahl0@opensuse.org>
- change spec file, so neovim autodetects the grammar
* Fri Jun 21 2024 Richard Rahl <rrahl0@disroot.org>
- initial packaging
